/**********************************************************
*          SEGGER MICROCONTROLLER SYSTEME GmbH
*   Solutions for real time microcontroller applications
***********************************************************
File    : main.h
Purpose : Global header
--------- END-OF-HEADER ---------------------------------*/

#ifndef MAIN_H
#define MAIN_H

/*********************************************************************
*
*       Includes
*/
#include "TYPES.h"


/*********************************************************************
*
*       FLASH
*
**********************************************************************
*/

void        FLASH_ClrLockBit            (U32 Index);
void        FLASH_EraseSector           (U32 * p);
void        FLASH_EraseWrite            (U32 * pDest, const U32 * pSrc, int NumBytes);
void        FLASH_Erase                 (void);
U32         FLASH_GetLockBitMask        (void);
U32         FLASH_GetSecurityBit        (void);
void        FLASH_SetLockBit            (U32 Index);
void        FLASH_ClrSecurityBit        (void);
void        FLASH_SetSecurityBit        (void);
void        FLASH_Write                 (U32 * pDest, const U32 * pSrc, int NumBytes);
void        FLASH_WriteEx               (U32 * pDest, const U32 * pSrc, int NumBytes, int AutoErase);

#undef EXTERN

#endif  /* defined MAIN_H */

/****** EOF *********************************************************/
